import * as hi from "jsr:@preact-icons/hi2";

export default function Footer() {
  return (
    <footer class="bg-[#313244] text-[#cdd6f4] py-8">
      <div class="container mx-auto px-4">
        {/* Grid layout that switches from 2 to 1 column on small screens */}
        <div class="grid grid-cols-1 md:grid-cols-2 gap-8">
          <div class="space-y-2">
            <a
              class="mb-8 text-[#cdd6f4] transition-all duration-300 ease-in-out hover:text-[#cba6f7] hover:drop-shadow-[0_0_20px_rgba(96,165,250,0.7)] hover:scale-110 cursor-pointer visited:text-[#bac2de]"
              href={Deno.env.get("BASE_URI_RSS")}
            >
              <div class="flex items-center gap-2">
                <hi.HiOutlineRss />
                RSS
              </div>
            </a>
            <a
              class="mb-8 text-[#cdd6f4] transition-all duration-300 ease-in-out hover:text-[#cba6f7] hover:drop-shadow-[0_0_20px_rgba(96,165,250,0.7)] hover:scale-110 cursor-pointer visited:text-[#bac2de]"
              href={Deno.env.get("BASE_URI_SITEMAP")}
            >
              <div class="flex items-center gap-2">
                <hi.HiOutlineMap />
                Sitemap
              </div>
            </a>
          </div>

          <div>
            <a
              class="mb-8 text-[#cdd6f4] transition-all duration-300 ease-in-out hover:text-[#cba6f7] hover:drop-shadow-[0_0_20px_rgba(96,165,250,0.7)] hover:scale-110 cursor-pointer visited:text-[#bac2de]"
              href="/resume.pdf"
            >
              <div class="flex items-center gap-2">
                <hi.HiOutlineBriefcase />
                Resume
              </div>
            </a>
            <a
              class="mb-8 text-[#cdd6f4] transition-all duration-300 ease-in-out hover:text-[#cba6f7] hover:drop-shadow-[0_0_20px_rgba(96,165,250,0.7)] hover:scale-110 cursor-pointer visited:text-[#bac2de]"
              href="mailto:wjmiller2016@gmail.com"
            >
              <div class="flex items-center gap-2">
                <hi.HiOutlineEnvelope />
                Email me
              </div>
            </a>
          </div>
        </div>

        <div class="border-t border-gray-700 mt-8 pt-4 text-center">
          <p class="text-sm text-gray-400">
            © {new Date().getFullYear()} Miller Web Solutions. All Rights
            Reserved. Hosted by Akamai.
          </p>
        </div>
      </div>
    </footer>
  );
}
